/*
 * HID.h
 *
 * Created: 14.04.2021 10:36:23
 *  Author: vstrasil
 */ 

#include <avr/io.h>

#ifndef HID_H_
#define HID_H_

//LED
#define LED1 PIN3_bm
#define LED2 PIN4_bm
#define LED3 PIN5_bm
#define LED4 PIN6_bm
#define LED5 PIN7_bm
#define ALL 0b11111000

//BUTTON AND DIP
#define START PIN4_bm
#define STOP PIN5_bm
#define DIP1 PIN0_bm
#define DIP2 PIN1_bm
#define DIP3 PIN2_bm

//LED
void hid_init();
void led_on(uint8_t aLED);
void led_off(uint8_t aLED);
void led_rshift();
void led_lshift();

//BUTTON AND DIP
uint8_t button(uint8_t aBUTTON);
int dip();

//clock

void clock_init();
void timer_init();
long timer_act();


#endif /* HID_H_ */